Commit 6158d516 authored by Vedang Manerikar's avatar Vedang Manerikar

Added a -r flag to git-flow-feature-pull to support pull with rebase

parent 07dacd52
...@@ -50,7 +50,7 @@ usage() { ...@@ -50,7 +50,7 @@ usage() {
echo " git flow feature diff [<name|nameprefix>]" echo " git flow feature diff [<name|nameprefix>]"
echo " git flow feature rebase [-i] [<name|nameprefix>]" echo " git flow feature rebase [-i] [<name|nameprefix>]"
echo " git flow feature checkout [<name|nameprefix>]" echo " git flow feature checkout [<name|nameprefix>]"
echo " git flow feature pull <remote> [<name>]" echo " git flow feature pull [-r] <remote> [<name>]"
} }
cmd_default() { cmd_default() {
...@@ -475,6 +475,7 @@ avoid_accidental_cross_branch_action() { ...@@ -475,6 +475,7 @@ avoid_accidental_cross_branch_action() {
cmd_pull() { cmd_pull() {
#DEFINE_string prefix false 'alternative remote feature branch name prefix' p #DEFINE_string prefix false 'alternative remote feature branch name prefix' p
DEFINE_boolean rebase false "pull with rebase" r
parse_remote_name "$@" parse_remote_name "$@"
if [ -z "$REMOTE" ]; then if [ -z "$REMOTE" ]; then
...@@ -500,7 +501,15 @@ cmd_pull() { ...@@ -500,7 +501,15 @@ cmd_pull() {
# we already have a local branch called like this, so simply pull the # we already have a local branch called like this, so simply pull the
# remote changes in # remote changes in
if flag rebase; then
if ! git pull --rebase -q "$REMOTE" "$BRANCH"; then
warn "Pull was aborted. There might be conflicts during rebase or '$REMOTE' might be inaccessible."
exit 1
fi
else
git pull -q "$REMOTE" "$BRANCH" || die "Failed to pull from remote '$REMOTE'." git pull -q "$REMOTE" "$BRANCH" || die "Failed to pull from remote '$REMOTE'."
fi
echo "Pulled $REMOTE's changes into $BRANCH." echo "Pulled $REMOTE's changes into $BRANCH."
else else
# setup the local branch clone for the first time # setup the local branch clone for the first time
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment